output.elasticsearch:
  hosts: ['elasticsearch:9200']
  protocol: "http"

# disabled dashboard imports due to https://github.com/opensearch-project/OpenSearch-Dashboards/issues/656
setup.dashboards.enabled: false
setup.kibana:
   host: "http://kibana:5601"
   protocol: "http"

# enable data management
setup.ilm:
  enable: false # delegate to curator
  overwrite: true

# template settings
setup.template:
  name: "journalbeat"
  pattern: "journalbeat-*"
# deprecated ism
#  settings:
#    index.opendistro.index_state_management.policy_id: "journalbeat_policy_workflow"
#    index.opendistro.index_state_management.rollover_alias: "journalbeat_rollover"

